QGIS 3 : Crash tool reopening option does not loads the last saved project

2017-06-12 01:39 PM - Arnaud Poncet-Montanges

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 24603

Description

Open a .qgs project with QGIS 3, save it somewhere else using QGIS, make QGIS crash, click on reopen option, project loaded is not the

last one saved.

History

#1 - 2017-06-13 02:08 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

- Assignee deleted (Regis Haubourg)

- Priority changed from Normal to High

Re-saving a QGIS project into another location with QGIS 3 master does not crash here on the same plataform. Pleas attach your sample project (and

data) that once resaved into another location make QGIS crash.

#2 - 2017-06-13 08:06 PM - Harrissou Santanna

Giovanni, i don't think that it's the reopening that makes Qgis crash. Actually Arnaud suggests to do something that is known to make Qgis crash. After the

crash message qgis will launch and open a project. But instead of the one that crashes (the saved as), it opens the first one you had opened.

Note that I didn't test it; just trying to clarify description.

#3 - 2017-06-13 08:40 PM - Giovanni Manghi

Harrissou Santanna wrote:

Giovanni, i don't think that it's the reopening that makes Qgis crash. Actually Arnaud suggests to do something that is known to make Qgis crash.

After the crash message qgis will launch and open a project. But instead of the one that crashes (the saved as), it opens the first one you had

opened.

Note that I didn't test it; just trying to clarify description.

I think that he also says that re.saving qgis3 project in another location makes QGIS master crash, which I can't replicate.

If I get it wrong please add exact (step by step) procedure to replicate.
cheers!

#4 - 2017-09-21 08:20 AM - Arnaud Poncet-Montanges

Harrissou read me right, sorry for my bad description, I'll try to improve this in the future.

On the old master, when QGIS crashed, it did not opened the current projet (which had crashed) at reopenning.

Tested on latest master, this isn't the case anymore.

When crashing QGIS propose to launch the lastly saved project (as expected).

This can be closed then.

#5 - 2017-09-21 10:52 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
